// variable to hold a reference to our A-Frame world
let world;

function setup() {
    // no canvas needed
    noCanvas();

    // construct the A-Frame world
    // this function requires a reference to the ID of the 'a-scene' tag in our HTML document
    world = new AFrameP5.World('VRScene');

    // set a background color for the world using RGB values
    world.setBackground(173, 216, 230);

    // disallow flying
    world.setFlying(false);

    // create a forest of trees that will always face the user
    for (let i = 0; i < 20; i++) {
        let tree = new AFrameP5.Plane({
            x: random(-48, 48),
            y: 2,
            z: random(-48, 48),
            asset: 'tree',
            transparent: true,
            width: 2,
            height: 4,
            side: 'double',
            tickFunction: function (tree) {
                // every frame, force the entity to look at the camera
                tree.lookAtUser();
            }
        });
        world.add(tree);
    }

    // create a plane to serve as our "ground"
    let g = new AFrameP5.Plane({
        x: 0, y: 0, z: 0,
        width: 100, height: 100,
        asset: 'stone',
        repeatX: 100,
        repeatY: 100,
        rotationX: -90
    });

    // add the plane to our world
    world.add(g);
}